# cli programs should be available on servers and desktop
{ lib, pkgs, ... }:

{
  programs.zsh.enable = true;

  services = {
     mpd.enable = true;
     mpd.musicDirectory = "/home/mrflos/Musique";
     mpd.user = "mrflos";
     mpd.group = "users";
     #mpd.dataDir
     mpd.startWhenNeeded = true;
     mpd.extraConfig = ''
  audio_output {
    type "pulse"
    name "mpd" 
  }
'';
  };


  # List packages installed in system profile. To search, run:
  # $ nix search wget
  environment.systemPackages = with pkgs; [
    ansible
    bat
    btop
    bitwarden-cli
    btop
    catnip
    coreutils
    curl
    dnsutils
    emacs-nox
    fd
    findutils
    fzf
    gnugrep
    gnumake
    gnupg
    imagemagick
    jq
    git
    glances
    htop
    lazygit
    lsd
    mc
    micro
    mosh
    mpc-cli
    mpd
    neofetch
    pandoc
    pass
    pciutils
    pinentry
    ripgrep
    slides
    starship
    tmux
    tree
    unzip
    usbutils
    wget
    whois
    wirelesstools
    yt-dlp
    zellij
    zola
    zsh-autosuggestions
  ];
}
